# Change request contributors

Quickly access the full list of collaborators and their contributions within a change request for better traceability and communication.

## The UserContributor object

```json
{"openapi":"3.1.0","info":{"title":"GitBook API","version":"0.0.1-beta"},"components":{"schemas":{"UserContributor":{"type":"object","description":"Contributor towards content.","properties":{"updatedAt":{"$ref":"#/components/schemas/Timestamp"},"count":{"type":"integer"},"user":{"$ref":"#/components/schemas/User"}},"required":["updatedAt","count","user"]},"Timestamp":{"type":"string","format":"date-time"},"User":{"type":"object","properties":{"object":{"type":"string","description":"Type of Object, always equals to \"user\"","enum":["user"]},"id":{"type":"string","description":"Unique identifier for the user"},"displayName":{"type":"string","description":"Full name for the user"},"email":{"type":"string","description":"Email address of the user"},"photoURL":{"type":"string","description":"URL of the user's profile picture"},"urls":{"type":"object","description":"URLs associated with the object","properties":{"location":{"type":"string","description":"URL of the user in the API","format":"uri"}},"required":["location"]}},"required":["object","id","displayName","urls"]}}}}
```

## GET /spaces/{spaceId}/change-requests/{changeRequestId}/contributors

> Get all contribors of a change request

```json
{"openapi":"3.1.0","info":{"title":"GitBook API","version":"0.0.1-beta"},"tags":[{"name":"change-request-contributors","description":"Quickly access the full list of collaborators and their contributions within a change request for better traceability and communication.\n\n{% openapi-schemas spec=\"gitbook\" schemas=\"UserContributor\" grouped=\"false\" %}\n    The UserContributor object\n{% endopenapi-schemas %}\n"}],"servers":[{"url":"{host}/v1","variables":{"host":{"default":"https://api.gitbook.com"}}}],"security":[{"user":[]}],"components":{"securitySchemes":{"user":{"type":"http","scheme":"bearer"}},"parameters":{"spaceId":{"name":"spaceId","in":"path","required":true,"description":"The unique id of the space","schema":{"$ref":"#/components/schemas/EntityId"}},"changeRequestId":{"name":"changeRequestId","in":"path","required":true,"description":"The unique ID of the change request or its number identifier in the space","schema":{"$ref":"#/components/schemas/EntityId"}}},"schemas":{"EntityId":{"type":"string","pattern":"^[a-zA-Z0-9_-]+$","description":"A unique entity identifier"},"List":{"type":"object","properties":{"next":{"type":"object","properties":{"page":{"type":"string","description":"Unique identifier to query the next results page"}},"required":["page"]},"count":{"type":"number","description":"Total count of objects in the list"}}},"ChangeRequestUserContributor":{"allOf":[{"$ref":"#/components/schemas/UserContributor"},{"type":"object","properties":{"actionType":{"type":"string","enum":["edit","comment"]}},"required":["actionType"]}]},"UserContributor":{"type":"object","description":"Contributor towards content.","properties":{"updatedAt":{"$ref":"#/components/schemas/Timestamp"},"count":{"type":"integer"},"user":{"$ref":"#/components/schemas/User"}},"required":["updatedAt","count","user"]},"Timestamp":{"type":"string","format":"date-time"},"User":{"type":"object","properties":{"object":{"type":"string","description":"Type of Object, always equals to \"user\"","enum":["user"]},"id":{"type":"string","description":"Unique identifier for the user"},"displayName":{"type":"string","description":"Full name for the user"},"email":{"type":"string","description":"Email address of the user"},"photoURL":{"type":"string","description":"URL of the user's profile picture"},"urls":{"type":"object","description":"URLs associated with the object","properties":{"location":{"type":"string","description":"URL of the user in the API","format":"uri"}},"required":["location"]}},"required":["object","id","displayName","urls"]}},"responses":{"NotFoundError":{"description":"Not Found","content":{"application/json":{"schema":{"type":"object","required":["error"],"properties":{"error":{"type":"object","properties":{"code":{"type":"integer","format":"int32","enum":[404]},"message":{"type":"string"}},"required":["code","message"]}}}}}}}},"paths":{"/spaces/{spaceId}/change-requests/{changeRequestId}/contributors":{"get":{"operationId":"getContributorsByChangeRequestId","summary":"Get all contribors of a change request","tags":["change-request-contributors"],"parameters":[{"$ref":"#/components/parameters/spaceId"},{"$ref":"#/components/parameters/changeRequestId"}],"responses":{"200":{"description":"Contributors on the change request","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/List"},{"type":"object","required":["items"],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/ChangeRequestUserContributor"}}}}]}}}},"404":{"description":"The change request could not be found.","$ref":"#/components/responses/NotFoundError"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://gitbook-open-v2-preview.gitbook.workers.dev/url/gitbook.com/docs/developers/gitbook-api/api-reference/change-requests/change-request-contributors.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
